-- need to restrict to a single detRunSummary (require all to say 'cleaned'?)
SELECT
    detProcessedExp.*,
    detRunSummary.data_state
FROM detRunSummary
JOIN detProcessedExp
    USING(det_id)
WHERE
    detRunSummary.data_state = 'goto_cleaned'
AND detProcessedExp.data_state = 'full'
